import chimera.extension

# -----------------------------------------------------------------------------
#
class PickParticleEMO(chimera.extension.EMO):

  def name(self):
    return 'Pick Particle'
  def description(self):
    return 'Pick particle in a 3D map'
  def categories(self):
    return ['Utilities']
  def icon(self):
    return self.path('PickParticle.jpg')
  def activate(self):
    self.module('gui').show_pickparticledialog()
    return None

# -----------------------------------------------------------------------------
#
chimera.extension.manager.registerExtension(PickParticleEMO(__file__))

